#
# spec file for package python-neutron-lib
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-neutron-lib
Version:        1.25.0
Release:        3.7
Summary:        OpenStack Neutron library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://docs.openstack.org/developer/neutron-lib/
Source0:        https://files.pythonhosted.org/packages/source/n/neutron-lib/neutron-lib-1.25.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python2-SQLAlchemy
BuildRequires:  python2-WebOb
BuildRequires:  python2-debtcollector
BuildRequires:  python2-fixtures
BuildRequires:  python2-keystoneauth1
BuildRequires:  python2-os-api-ref
BuildRequires:  python2-os-traits
BuildRequires:  python2-oslo.concurrency
BuildRequires:  python2-oslo.config
BuildRequires:  python2-oslo.context
BuildRequires:  python2-oslo.db
BuildRequires:  python2-oslo.i18n
BuildRequires:  python2-oslo.log
BuildRequires:  python2-oslo.messaging
BuildRequires:  python2-oslo.policy
BuildRequires:  python2-oslo.service
BuildRequires:  python2-oslo.utils
BuildRequires:  python2-oslotest
BuildRequires:  python2-osprofiler
BuildRequires:  python2-pbr
BuildRequires:  python2-pecan
BuildRequires:  python2-python-subunit
BuildRequires:  python2-setproctitle
BuildRequires:  python2-setuptools
BuildRequires:  python2-stestr
BuildRequires:  python2-testrepository
BuildRequires:  python2-testresources
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python2-weakrefmethod
BuildRequires:  python3-SQLAlchemy
BuildRequires:  python3-WebOb
BuildRequires:  python3-debtcollector
BuildRequires:  python3-fixtures
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-os-api-ref
BuildRequires:  python3-os-traits
BuildRequires:  python3-oslo.concurrency
BuildRequires:  python3-oslo.config
BuildRequires:  python3-oslo.context
BuildRequires:  python3-oslo.db
BuildRequires:  python3-oslo.i18n
BuildRequires:  python3-oslo.log
BuildRequires:  python3-oslo.messaging
BuildRequires:  python3-oslo.policy
BuildRequires:  python3-oslo.service
BuildRequires:  python3-oslo.utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-osprofiler
BuildRequires:  python3-pbr
BuildRequires:  python3-pecan
BuildRequires:  python3-python-subunit
BuildRequires:  python3-setproctitle
BuildRequires:  python3-setuptools
BuildRequires:  python3-stestr
BuildRequires:  python3-testrepository
BuildRequires:  python3-testresources
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
Requires:       python-SQLAlchemy
Requires:       python-WebOb
Requires:       python-keystoneauth1
Requires:       python-os-traits
Requires:       python-oslo.concurrency
Requires:       python-oslo.config
Requires:       python-oslo.context
Requires:       python2-oslo.db
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python2-oslo.messaging
Requires:       python-oslo.policy
Requires:       python-oslo.serialization
Requires:       python2-oslo.service
Requires:       python-oslo.utils
Requires:       python2-oslo.versionedobjects
Requires:       python-osprofiler
Requires:       python-pecan
Requires:       python-setproctitle
Requires:       python-six
Requires:       python-stevedore
BuildArch:      noarch
%ifpython2
Requires:       python-weakrefmethod
%endif
%python_subpackages

%description
OpenStack Neutron library shared by all Neutron sub-projects.

%package -n python-neutron-lib-doc
Summary:        OpenStack Neutron library documentation
Group:          Documentation/HTML
BuildRequires:  python2-Sphinx
BuildRequires:  python2-openstackdocstheme
BuildRequires:  python2-reno
BuildRequires:  python3-Sphinx
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-reno

%description -n python-neutron-lib-doc
OpenStack Neutron library shared by all Neutron sub-projects.

%prep
%autosetup -n neutron-lib-%{version}
%py_req_cleanup

%build
%{python_build}

%install
%{python_install}

# Build HTML docs and man page
PBR_VERSION=%{version} sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%check
%python_exec -m stestr.cli run

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/neutron_lib
%{python_sitelib}/neutron_lib*egg-info

%files -n python-neutron-lib-doc
%doc doc/build/html
%license LICENSE

%changelog
